## eclipse-cdt 9.9.0

=== core/org.eclipse.cdt.core.macosx/library/Makefile ===
#*******************************************************************************
# Copyright (c) 2002, 2015 QNX Software Systems and others.
#
# This program and the accompanying materials
# are made available under the terms of the Eclipse Public License 2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#
# Contributors:
#     QNX Software Systems - initial API and implementation
#     Alex Blewitt - MacOSX with a 64-bit vm 
# Martin Oberhuber (Wind River) - Bug 476709 - Fix change_window_size()
#*******************************************************************************/

# makefile for libspawner.so
# See http://developer.apple.com/documentation/Java/Conceptual/Java141Development/Core_APIs/chapter_6_section_4.html

JAVA_HOME = $(shell echo /Library/Java/JavaVirtualMachines/jdk1.[78].0_*.jdk/Contents/Home)

# Defaults which can be overridden.
OS = macosx
ARCH_X86 = x86
ARCH_X86_64 = x86_64

CC=gcc
LD=libtool
CPPFLAGS = -I. -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/darwin
CFLAGS +=-fPIC -D_REENTRANT

ARCH_FLAG_X86 = -arch i386
ARCH_FLAG_X86_64 = -arch x86_64

INSTALL_DIR_X86 = ../os/$(OS)/$(ARCH_X86)
INSTALL_DIR_X86_64 = ../os/$(OS)/$(ARCH_X86_64)

LIB_NAME_FULL_SPAWNER_X86 = $(INSTALL_DIR_X86)/libspawner.jnilib
LIB_NAME_FULL_SPAWNER_X86_64 = $(INSTALL_DIR_X86_64)/libspawner.jnilib
OBJS_SPAWNER_X86 = spawner_$(ARCH_X86).o \
                   io_$(ARCH_X86).o \
                   exec_unix_$(ARCH_X86).o \
                   exec_pty_$(ARCH_X86).o \
                   openpty_$(ARCH_X86).o \
                   pfind_$(ARCH_X86).o
OBJS_SPAWNER_X86_64 = spawner_$(ARCH_X86_64).o \
                   io_$(ARCH_X86_64).o \
                   exec_unix_$(ARCH_X86_64).o \
                   exec_pty_$(ARCH_X86_64).o \
                   openpty_$(ARCH_X86_64).o \
                   pfind_$(ARCH_X86_64).o

LIB_NAME_FULL_PTY_X86 = $(INSTALL_DIR_X86)/libpty.jnilib
LIB_NAME_FULL_PTY_X86_64 = $(INSTALL_DIR_X86_64)/libpty.jnilib
OBJS_PTY_X86 = openpty_$(ARCH_X86).o pty_$(ARCH_X86).o ptyio_$(ARCH_X86).o
OBJS_PTY_X86_64 = openpty_$(ARCH_X86_64).o pty_$(ARCH_X86_64).o ptyio_$(ARCH_X86_64).o

OBJS_X86 = $(OBJS_SPAWNER_X86) $(OBJS_PTY_X86) $(OBJS_SERIAL_X86)
OBJS_X86_64 = $(OBJS_SPAWNER_X86_64) $(OBJS_PTY_X86_64) $(OBJS_SERIAL_X86_64)

all: x86 x86_64

x86: $(LIB_NAME_FULL_SPAWNER_X86) $(LIB_NAME_FULL_PTY_X86)

x86_64: $(LIB_NAME_FULL_SPAWNER_X86_64) $(LIB_NAME_FULL_PTY_X86_64)

rebuild: clean all

$(LIB_NAME_FULL_SPAWNER_X86) : $(OBJS_SPAWNER_X86)
	mkdir -p $(INSTALL_DIR_X86)
	$(CC) -dynamiclib $(ARCH_FLAG_X86) -o $(LIB_NAME_FULL_SPAWNER_X86) $(OBJS_SPAWNER_X86) -lc -framework JavaVM

$(LIB_NAME_FULL_SPAWNER_X86_64) : $(OBJS_SPAWNER_X86_64)
	mkdir -p $(INSTALL_DIR_X86_64)
	$(CC) -dynamiclib $(ARCH_FLAG_X86_64) -o $(LIB_NAME_FULL_SPAWNER_X86_64) $(OBJS_SPAWNER_X86_64) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY_X86): $(OBJS_PTY_X86)
	mkdir -p $(INSTALL_DIR_X86)
	$(CC) -dynamiclib  $(ARCH_FLAG_X86) -o $(LIB_NAME_FULL_PTY_X86) $(OBJS_PTY_X86) -lc -framework JavaVM

$(LIB_NAME_FULL_PTY_X86_64): $(OBJS_PTY_X86_64)
	mkdir -p $(INSTALL_DIR_X86_64)
	$(CC) -dynamiclib  $(ARCH_FLAG_X86_64) -o $(LIB_NAME_FULL_PTY_X86_64) $(OBJS_PTY_X86_64) -lc -framework JavaVM

spawner_$(ARCH_X86).o: spawner.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ spawner.c

io_$(ARCH_X86).o: io.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ io.c

exec_unix_$(ARCH_X86).o: exec_unix.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ exec_unix.c

exec_pty_$(ARCH_X86).o: exec_pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ exec_pty.c

openpty_$(ARCH_X86).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ openpty.c

pfind_$(ARCH_X86).o: pfind.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ pfind.c

pty_$(ARCH_X86).o: pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ pty.c

ptyio_$(ARCH_X86).o: ptyio.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86) $(CPPFLAGS) -c -o $@ ptyio.c

spawner_$(ARCH_X86_64).o: spawner.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ spawner.c

io_$(ARCH_X86_64).o: io.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ io.c

exec_unix_$(ARCH_X86_64).o: exec_unix.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ exec_unix.c

exec_pty_$(ARCH_X86_64).o: exec_pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ exec_pty.c

openpty_$(ARCH_X86_64).o: openpty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ openpty.c

pfind_$(ARCH_X86_64).o: pfind.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ pfind.c

pty_$(ARCH_X86_64).o: pty.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ pty.c

ptyio_$(ARCH_X86_64).o: ptyio.c
	$(CC) $(CFLAGS) $(ARCH_FLAG_X86_64) $(CPPFLAGS) -c -o $@ ptyio.c

clean :
	$(RM) $(OBJS_X86) $(LIB_NAME_FULL_SPAWNER_X86) $(LIB_NAME_FULL_PTY_X86)
	$(RM) $(OBJS_X86_64) $(LIB_NAME_FULL_SPAWNER_X86_64) $(LIB_NAME_FULL_PTY_X86_64)

=== core/org.eclipse.cdt.core.win32/library/Makefile ===
# makefile for libspawner.so

ifeq ($(JAVA_HOME),)
$(error JAVA_HOME not set in environment)
endif

# Defaults which can be overridden.
OS = win32
ARCH = x86

JDK_INCLUDES= "$(JAVA_HOME)/include"
JDK_OS_INCLUDES= "$(JAVA_HOME)/include/$(OS)"

CC=g++
DEBUG_FLAGS =  -D_UNICODE -DDEBUG_MONITOR -DREAD_REPORT
CFLAGS = -DUNICODE -I$(JDK_INCLUDES) -I$(JDK_OS_INCLUDES)
CXX=g++
CXXFLAGS=$(CFLAGS)

INSTALL_DIR = ../../org.eclipse.cdt.core.$(OS).$(ARCH)/os/$(OS)/$(ARCH)

LIB_NAME_SPAWNER = spawner.dll
LIB_NAME_FULL_SPAWNER = $(INSTALL_DIR)/spawner.dll
OBJS_SPAWNER=StdAfx.o Win32ProcessEx.o iostream.o raise.o spawner.o

all: $(LIB_NAME_FULL_SPAWNER)

rebuild: clean all

$(LIB_NAME_FULL_SPAWNER) : $(OBJS_SPAWNER)
	$(CC) -Wl,--kill-at -shared -o $(LIB_NAME_FULL_SPAWNER) $(OBJS_SPAWNER) -lpsapi

clean :
	$(RM) $(OBJS_SPAWNER)

=== native/org.eclipse.cdt.native.serial/jni/Makefile ===
#*******************************************************************************
# Copyright (c) 2002, 2009 QNX Software Systems and others.
#
# This program and the accompanying materials
# are made available under the terms of the Eclipse Public License 2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#
# Contributors:
#     QNX Software Systems - initial API and implementation
#     Alex Blewitt - MacOSX with a 64-bit vm 
#*******************************************************************************/

ifeq ($(JAVA_HOME),)
$(error Please define JAVA_HOME)
endif

OS_DIR = ../os

CFLAGS += -fPIC -D_REENTRANT

UNAME = $(shell uname)
ifeq ($(UNAME),Linux)
LIBS = \
	$(OS_DIR)/win32/x86_64/serial.dll \
	$(OS_DIR)/linux/x86_64/libserial.so
else
ifeq ($(UNAME),Darwin)
LIBS = \
	$(OS_DIR)/macosx/x86_64/libserial.jnilib
else
LIBS = \
	$(OS_DIR)/win32/x86_64/serial.dll
endif
endif

all:	$(LIBS)

clean :
	$(RM) $(LIBS)

rebuild: clean all

$(OS_DIR)/win32/x86_64/serial.dll:	serial.c
	mkdir -p $(dir $@)
	x86_64-w64-mingw32-gcc -I"$(JAVA_HOME)/include" -I"$(JAVA_HOME)/include/win32" -shared -o $@ serial.c

$(OS_DIR)/linux/x86_64/libserial.so:	serial.c
	mkdir -p $(dir $@)
	gcc -m64 $(CFLAGS) -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux $(LDFLAGS) -shared -o $@ serial.c

$(OS_DIR)/linux/ppc64le/libserial.so:	serial.c
	mkdir -p $(dir $@)
	gcc -m64 -mcpu=power8 $(CFLAGS) -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux $(LDFLAGS) -shared -o $@ serial.c

$(OS_DIR)/macosx/x86_64/libserial.jnilib:	serial.c
	mkdir -p $(dir $@)
	clang $(CFLAGS) -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/darwin $(LDFLAGS) -dynamiclib -o $@ serial.c

=== qt/org.eclipse.cdt.qt.core/tern-qml/Makefile ===
DIST = \
	dist/acorn/dist/acorn.js \
	dist/acorn/dist/acorn_loose.js \
	dist/acorn/dist/walk.js \
	dist/tern/lib/signal.js \
	dist/tern/lib/tern.js \
	dist/tern/lib/def.js \
	dist/tern/lib/comment.js \
	dist/tern/lib/infer.js

all:	$(DIST)

dist/%:	node_modules/%
	@mkdir -p $(dir $@)
	cp $^ $@

clean:
	rm -fr dist

=== build/org.eclipse.cdt.cmake.core/templates/simple/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project (${projectName})

add_executable(${projectName} ${projectName}.cpp)

=== core/org.eclipse.cdt.core.win32/library/starter/Makefile ===
OS = win32
ARCH = x86

TARGET = $(INSTALL_DIR)/starter.exe

OBJS = starter.o

LIBS = -lpsapi

CXX = g++
CXXFLAGS = -DUNICODE

INSTALL_DIR = ../../../org.eclipse.cdt.core.$(OS).$(ARCH)/os/$(OS)/$(ARCH)

all: $(TARGET)

rebuild: clean all

clean :
	$(RM) $(OBJS)

$(TARGET) : $(OBJS)
	$(CXX) -o $(TARGET) $(OBJS) $(LIBS)

=== debug/org.eclipse.cdt.debug.application.tests/projects/hello/Makefile ===
all: a.out

CFLAGS=-I. -g3 -O2 -Djeff=2

a.out: hello.o x.o
	gcc -g -o a.out $?

hello.o: hello.c somehdr.h
	gcc -c $(CFLAGS) hello.c

x.o: x.c
	gcc -c $(CFLAGS) $<

clean:
	rm *.o *.out

=== toolchains/arduino/org.eclipse.cdt.arduino.core/templates/Makefile ===
ifeq ($(OS),Windows_NT)
SHELL = cmd
RMDIR = rmdir /s /q
RM = del /q
mymkdir = if not exist "$1" mkdir "$1"
else
RMDIR = rm -fr
RM = rm -f
mymkdir = mkdir -p $1
endif

PROJECT_OBJS = \
<#list project_srcs as file>
<#assign cpp = file?matches("(.*)\\.cpp")>
<#if cpp>
	project/${cpp?groups[1]}.cpp.o \
</#if>
</#list>

PLATFORM_CORE_OBJS = \
<#list platform_core_srcs as file>
<#assign cpp = file?matches("${platform_core_path}/(.*)\\.cpp")>
<#if cpp>
	core/${cpp?groups[1]}.cpp.o \
</#if>
<#assign c = file?matches("${platform_core_path}/(.*)\\.c")>
<#if c>
	core/${c?groups[1]}.c.o \
</#if>
<#assign S = file?matches("${platform_core_path}/(.*)\\.S")>
<#if S>
	core/${S?groups[1]}.S.o \
</#if>
</#list>

PLATFORM_VARIANT_OBJS = \
<#list platform_variant_srcs as file>
<#assign cpp = file?matches("${platform_variant_path}/(.*)\\.cpp")>
<#if cpp>
	variant/${cpp?groups[1]}.cpp.o \
</#if>
<#assign c = file?matches("${platform_variant_path}/(.*)\\.c")>
<#if c>
	variant/${c?groups[1]}.c.o \
</#if>
<#assign S = file?matches("${platform_variant_path}/(.*)\\.S")>
<#if S>
	variant/${S?groups[1]}.S.o \
</#if>
</#list>

LIBRARIES_OBJS = \
<#list libraries_srcs as file>
<#assign cpp = file?matches("${libraries_path}/(.*?)/(.*)\\.cpp")>
<#if !cpp>
<#assign cpp = file?matches("${platform_path}/libraries/(.*?)/(.*)\\.cpp")>
</#if>
<#if cpp>
	libraries/${cpp?groups[1]}/${cpp?groups[2]}.cpp.o \
</#if>
<#assign c = file?matches("${libraries_path}/(.*?)/(.*)\\.c")>
<#if !c>
<#assign c = file?matches("${platform_path}/libraries/(.*?)/(.*)\\.c")>
</#if>
<#if c>
	libraries/${c?groups[1]}/${c?groups[2]}.c.o \
</#if>
<#assign S = file?matches("${libraries_path}/(.*?)/(.*)\\.S")>
<#if !S>
<#assign S = file?matches("${platform_path}/libraries/(.*?)/(.*)\\.S")>
</#if>
<#if S>
	libraries/${S?groups[1]}/${S?groups[2]}.S.o \
</#if>
</#list>

TARGETS = \
<#if recipe_objcopy_hex_pattern??>
	${project_name}.hex \
</#if>
<#if recipe_objcopy_eep_pattern??>
	${project_name}.eep \
</#if>
<#if recipe_objcopy_bin_pattern??>
	${project_name}.bin \
</#if>

all: $(TARGETS)

<#if recipe_objcopy_hex_pattern??>
${project_name}.hex: ${project_name}.elf
	${recipe_objcopy_hex_pattern}

</#if>
<#if recipe_objcopy_eep_pattern??>
${project_name}.eep: ${project_name}.elf
	${recipe_objcopy_eep_pattern}

</#if>
<#if recipe_objcopy_bin_pattern??>
${project_name}.bin: ${project_name}.elf
	${recipe_objcopy_bin_pattern}

</#if>
${project_name}.elf: $(PROJECT_OBJS) $(LIBRARIES_OBJS) core.a
	${recipe_c_combine_pattern}

core.a:	$(PLATFORM_CORE_OBJS) $(PLATFORM_VARIANT_OBJS)

clean:
	-$(RMDIR) project core variant libraries
	-$(RM) *.hex *.eep *.bin *.elf *.a *.ar *.d

size:
	${recipe_size_pattern}

<#list project_srcs as file>
<#assign cpp = file?matches("(.*)\\.cpp")>
<#if cpp>
project/${cpp?groups[1]}.cpp.o: ../../${file} project/${cpp?groups[1]}.cpp.d
	@$(call mymkdir,$(dir $@))
	${recipe_cpp_o_pattern}

project/${cpp?groups[1]}.cpp.d: ;

-include project/${cpp?groups[1]}.cpp.d 

</#if>
</#list>

<#list platform_core_srcs as file>
<#assign cpp = file?matches("${platform_core_path}/(.*)\\.cpp")>
<#if cpp>
core/${cpp?groups[1]}.cpp.o: ${file} core/${cpp?groups[1]}.cpp.d
	@$(call mymkdir,$(dir $@))
	${recipe_cpp_o_pattern_plat}
	${recipe_ar_pattern}

core/${cpp?groups[1]}.cpp.d: ;

-include core/${cpp?groups[1]}.cpp.d

</#if>
<#assign c = file?matches("${platform_core_path}/(.*)\\.c")>
<#if c>
core/${c?groups[1]}.c.o: ${file} core/${c?groups[1]}.c.d
	@$(call mymkdir,$(dir $@))
	${recipe_c_o_pattern_plat}
	${recipe_ar_pattern}
	
core/${c?groups[1]}.c.d: ;

-include core/${c?groups[1]}.c.d

</#if>
<#assign S = file?matches("${platform_core_path}/(.*)\\.S")>
<#if S>
core/${S?groups[1]}.S.o: ${file}
	@$(call mymkdir,$(dir $@))
	${recipe_S_o_pattern_plat}
	${recipe_ar_pattern}

</#if>
</#list>

<#list platform_variant_srcs as file>
<#assign cpp = file?matches("${platform_variant_path}/(.*)\\.cpp")>
<#if cpp>
variant/${cpp?groups[1]}.cpp.o: ${file} variant/${cpp?groups[1]}.cpp.d
	@$(call mymkdir,$(dir $@))
	${recipe_cpp_o_pattern_plat}
	${recipe_ar_pattern}

variant/${cpp?groups[1]}.cpp.d: ;

-include variant/${cpp?groups[1]}.cpp.d

</#if>
<#assign c = file?matches("${platform_variant_path}/(.*)\\.c")>
<#if c>
variant/${c?groups[1]}.c.o: ${file} variant/${c?groups[1]}.c.d
	@$(call mymkdir,$(dir $@))
	${recipe_c_o_pattern_plat}
	${recipe_ar_pattern}
	
variant/${c?groups[1]}.c.d: ;

-include variant/${c?groups[1]}.c.d

</#if>
<#assign S = file?matches("${platform_variant_path}/(.*)\\.S")>
<#if S>
variant/${S?groups[1]}.S.o: ${file}
	@$(call mymkdir,$(dir $@))
	${recipe_S_o_pattern_plat}
	${recipe_ar_pattern}

</#if>
</#list>

<#list libraries_srcs as file>
<#assign cpp = file?matches("${libraries_path}/(.*?)/(.*)\\.cpp")>
<#if !cpp>
<#assign cpp = file?matches("${platform_path}/libraries/(.*?)/(.*)\\.cpp")>
</#if>
<#if cpp>
libraries/${cpp?groups[1]}/${cpp?groups[2]}.cpp.o: ${file} libraries/${cpp?groups[1]}/${cpp?groups[2]}.cpp.d
	@$(call mymkdir,$(dir $@))
	${recipe_cpp_o_pattern}

libraries/${cpp?groups[1]}/${cpp?groups[2]}.cpp.d: ;

-include libraries/${cpp?groups[1]}/${cpp?groups[2]}.cpp.d

</#if>
<#assign c = file?matches("${libraries_path}/(.*?)/(.*)\\.c")>
<#if !c>
<#assign c = file?matches("${platform_path}/libraries/(.*?)/(.*)\\.c")>
</#if>
<#if c>
libraries/${c?groups[1]}/${c?groups[2]}.c.o: ${file} libraries/${c?groups[1]}/${c?groups[2]}.c.d
	@$(call mymkdir,$(dir $@))
	${recipe_c_o_pattern}

libraries/${c?groups[1]}/${c?groups[2]}.c.d: ;

-include libraries/${c?groups[1]}/${c?groups[2]}.c.d

</#if>
<#assign S = file?matches("${libraries_path}/(.*?)/(.*)\\.S")>
<#if !S>
<#assign S = file?matches("${platform_path}/libraries/(.*?)/(.*)\\.S")>
</#if>
<#if S>
libraries/${S?groups[1]}/${S?groups[2]}.S.o: ${file}
	@$(call mymkdir,$(dir $@))
	${recipe_S_o_pattern}

</#if>
</#list>

=== core/org.eclipse.cdt.core.tests/resources/elf/inside_hints/Makefile ===
all:	be32 be32lib be64 be64lib le32 le32lib le64 le64lib

be32:	be32.asm
	nasm be32.asm

be32lib:	be32lib.asm
	nasm be32lib.asm

be64:	be64.asm
	nasm be64.asm

be64lib:	be64lib.asm
	nasm be64lib.asm

le32:	le32.asm
	nasm le32.asm

le32lib:	le32lib.asm
	nasm le32lib.asm

le64:	le64.asm
	nasm le64.asm

le64lib:	le64lib.asm
	nasm le64lib.asm

clean:
	rm -f be32 be32lib be64 be64lib le32 le32lib le64 le64lib

=== dsf-gdb/org.eclipse.cdt.tests.dsf.gdb/data/launch/src/Makefile ===
BINDIR = ../bin
BUILDDIR = ../build
BUILD2DIR = ../build2
SRC_C = $(wildcard *.c)
SRC_CXX = $(wildcard *.cc)

# We rebuild everything whenever one of the headers change
HEADERS = $(wildcard *.h)

# These Source Lookup tests compile in a different directory than the directory
# the source is in.  This allows to test source lookup.
SOURCELOOKUP_BINS = $(BINDIR)/SourceLookupAC.exe $(BINDIR)/SourceLookupAN.exe $(BINDIR)/SourceLookupRC.exe $(BINDIR)/SourceLookupRN.exe
# These tests are for running against older GDBs which require compatibilty flags
# for GCC debug info, see OLDDWARFFLAGS below
SOURCELOOKUP_BINS += $(BINDIR)/SourceLookupDwarf2AC.exe $(BINDIR)/SourceLookupDwarf2AN.exe $(BINDIR)/SourceLookupDwarf2RC.exe $(BINDIR)/SourceLookupDwarf2RN.exe 

# Use .exe extension so that files are named the same way in Linux and Windows.
BINS = $(patsubst %.c,$(BINDIR)/%.exe,$(SRC_C)) $(patsubst %.cc,$(BINDIR)/%.exe,$(SRC_CXX))
BINS += $(SOURCELOOKUP_BINS)
# This source lookup exe (like the default SourceLookup.exe) compiles from non-relocated source.
BINS += $(BINDIR)/SourceLookupDwarf2.exe
COREFILE = $(BINDIR)/core

CC = gcc
CXX = g++

# As of the time of writing, using GCC 4.8.4 OLDDWARFFLAGS is required:
#  for -> because:
#  GDB <= 7.1 -> does not work at all because "Dwarf Error: wrong version in compilation unit header (is 4, should be 2)"
#  GDB <= 7.4 -> fails some tests because files are not resolved the same way by GDB.
#    With OLDDWARFFLAGS SourceLookupRC returns file="SourceLookup.cc" in frame info even if SourceLookup.cc is not found
#    Without OLDDWARFFLAGS SourceLookupRC the file field in the frame info is left out if SourceLookup.cc is not found
# For running tests on recent GDBs (> 7.5), OLDDWARFFLAGS should remain unset.
OLDDWARFFLAGS =  -gdwarf-2 -gstrict-dwarf
# Older compilers versions (like 4.3.4 used on CDT Hudson machine) don't have -gstrict-dwarf
OLDDWARFFLAGS_CHECKED := $(shell $(CXX) $(OLDDWARFFLAGS) -x c++ /dev/null -c -o /dev/null > /dev/null 2>&1 && echo $(OLDDWARFFLAGS) || echo "")

# By default only SourceLookup tests take into account OLDDWARFFLAGS, if testing any other tests
# with older GDBs, adding OLDDWARFFLAGS to the compilation flags is necessary.
CFLAGS = -g3 -O0
CXXFLAGS = -g3 -O0

# Don't try to use pthread on Windows
# The OS environment variable exists on Windows
ifneq ($(OS),Windows_NT)
	CFLAGS += -pthread
	CXXFLAGS += -pthread
endif

MKDIR = mkdir -p
RM = rm -f
RMDIR = rmdir

.PHONY: all clean

all: $(BINS) $(COREFILE)

$(BINDIR):
	$(MKDIR) $@

$(BINDIR)/%.exe: %.c $(HEADERS) Makefile | $(BINDIR)
	$(CC) $(CFLAGS) -o $@ $<

$(BINDIR)/%.exe: %.cc $(HEADERS) Makefile | $(BINDIR)
	$(CXX) $(CXXFLAGS) -o $@ $<

# Generate a core file that is needed for post-morted core-file tests
$(COREFILE): $(BINDIR)/ExpressionTestApp.exe Makefile | $(BINDIR)
	gdb -nx --batch -ex 'b testLocals' -ex 'run' --ex 'next 16' \
		-ex 'gcore ../bin/core' $(BINDIR)/ExpressionTestApp.exe > /dev/null

# Compile sourcelookup once with old dwarf flags
$(BINDIR)/SourceLookupDwarf2.exe: SourceLookup.cc $(HEADERS) Makefile | $(BINDIR)
	$(CXX) $(CXXFLAGS) $(OLDDWARFFLAGS_CHECKED) -o $@ $<

# Compile a source file from an alternate directory
# This is aiming to represent the different ways that the path to a source
# file can be recorded in debug information. See comments on each one
# for the intention
ABSOLUTE_NONCANONICAL_BUILDDIR=$(shell $(MKDIR) $(BUILD2DIR) ; cd $(BUILD2DIR) ; pwd)/$(BUILDDIR)
ABSOLUTE_CANONICAL_BUILDDIR=$(shell $(MKDIR) $(BUILDDIR) ; cd $(BUILDDIR) ; pwd)
$(SOURCELOOKUP_BINS): SourceLookup.cc $(HEADERS) Makefile | $(BINDIR)
	@echo "Building test executables with"
	$(CXX) --version | head -1
# Set up the "build" environment, this gets cleaned up at the end to simulate
# a user moving a project's source and needing source lookup to file it
	$(MKDIR) $(BUILDDIR)
	$(MKDIR) $(BUILD2DIR)
	cp SourceLookup.cc $(BUILDDIR)/SourceLookup.cc
# Absolute and canonical path
	cd $(BUILDDIR) && $(CXX) $(CXXFLAGS) -o $(BINDIR)/SourceLookupAC.exe $(ABSOLUTE_CANONICAL_BUILDDIR)/SourceLookup.cc
	cd $(BUILDDIR) && $(CXX) $(CXXFLAGS) $(OLDDWARFFLAGS_CHECKED) -o $(BINDIR)/SourceLookupDwarf2AC.exe $(ABSOLUTE_CANONICAL_BUILDDIR)/SourceLookup.cc
# Absolute and non-canonical path (contains ..)
	cd $(BUILD2DIR) && $(CXX) $(CXXFLAGS) -o $(BINDIR)/SourceLookupAN.exe $(ABSOLUTE_NONCANONICAL_BUILDDIR)/SourceLookup.cc
	cd $(BUILD2DIR) && $(CXX) $(CXXFLAGS) $(OLDDWARFFLAGS_CHECKED) -o $(BINDIR)/SourceLookupDwarf2AN.exe $(ABSOLUTE_NONCANONICAL_BUILDDIR)/SourceLookup.cc
# Relative and canonical path
	cd $(BUILDDIR) && $(CXX) $(CXXFLAGS) -o $(BINDIR)/SourceLookupRC.exe SourceLookup.cc
	cd $(BUILDDIR) && $(CXX) $(CXXFLAGS) $(OLDDWARFFLAGS_CHECKED) -o $(BINDIR)/SourceLookupDwarf2RC.exe SourceLookup.cc
# Relative and non-canonical path (contains ..)
	cd $(BUILD2DIR) && $(CXX) $(CXXFLAGS) -o $(BINDIR)/SourceLookupRN.exe $(BUILDDIR)/SourceLookup.cc
	cd $(BUILD2DIR) && $(CXX) $(CXXFLAGS) $(OLDDWARFFLAGS_CHECKED) -o $(BINDIR)/SourceLookupDwarf2RN.exe $(BUILDDIR)/SourceLookup.cc
# Cleanup: We must remove the source file used for all the SourceLookup*.exe compilation so that the
# SourceLookup logic is forced to look elsewhere to find it, i.e., in the src/ directory.
	$(RM) $(BUILDDIR)/SourceLookup.cc
	$(RMDIR) $(BUILDDIR) $(BUILD2DIR)

clean:
	$(RM) -r $(BINDIR) $(BUILDDIR) $(BUILD2DIR)

=== jtag/org.eclipse.cdt.debug.gdbjtag.core.tests/data/launch/src/Makefile ===
BINDIR = ../bin
BUILDDIR = ../build
SRC_C = $(wildcard *.c)
SRC_CXX = $(wildcard *.cc)

# We rebuild everything whenever one of the headers change
HEADERS = $(wildcard *.h)

# Use .exe extension so that files are named the same way in Linux and Windows.
BINS = $(patsubst %.c,$(BINDIR)/%.exe,$(SRC_C)) $(patsubst %.cc,$(BINDIR)/%.exe,$(SRC_CXX))

CC = gcc
CXX = g++

CFLAGS = -g3 -O0
CXXFLAGS = -g3 -O0

# Don't try to use pthread on Windows
# The OS environment variable exists on Windows
ifneq ($(OS),Windows_NT)
	CFLAGS += -pthread
	CXXFLAGS += -pthread
endif

MKDIR = mkdir -p
RM = rm -f
RMDIR = rmdir

.PHONY: all clean

all: $(BINS)

$(BINDIR):
	$(MKDIR) $@

$(BINDIR)/%.exe: %.c $(HEADERS) Makefile | $(BINDIR)
	$(CC) $(CFLAGS) -o $@ $<

$(BINDIR)/%.exe: %.cc $(HEADERS) Makefile | $(BINDIR)
	$(CXX) $(CXXFLAGS) -o $@ $<

clean:
	$(RM) -r $(BINDIR) $(BUILDDIR)

=== qt/org.eclipse.cdt.qt.core/templates/project/Qt5/Makefile ===

PRO   = {{baseName}}.pro
QMAKE = {{qmake.Qt5}}

all:	QtMakefile
	$(MAKE) -f QtMakefile

clean:
	rm -fr QtMakefile QtMakefile.debug QtMakefile.release debug release

QtMakefile:
	$(QMAKE) -o QtMakefile $(PRO) CONFIG+=debug_and_release

debug:	QtMakefile
	$(MAKE) -f QtMakefile debug

release:	QtMakefile
	$(MAKE) -f QtMakefile release

.PHONY: all clean debug clean-debug release clean-release

=== debian/changelog ===
eclipse-cdt (9.9.0-5) unstable; urgency=medium

  * Use upstream provided manifest file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 04 Sep 2020 22:52:59 +0100

eclipse-cdt (9.9.0-4) unstable; urgency=medium

  * Remove extra poms from patch.
    - Move them to separate folder.
  * Add missing parent pom.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 06 Aug 2020 15:38:02 +0100

eclipse-cdt (9.9.0-3) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 16 Jul 2020 16:41:10 +0100

eclipse-cdt (9.9.0-2) unstable; urgency=medium

  * Team upload.
  * Update debian/copyright to document Apache-2.0 licensed file

 -- tony mancill <tmancill@debian.org>  Thu, 11 Jun 2020 21:16:22 -0700

eclipse-cdt (9.9.0-1) unstable; urgency=medium

  * Reintroduce the package. (Closes: #961795)
    - New upstream version 9.9.0
    - New binary package libeclipse-cdt-java (Java libraries-only)
  * Use https with watch URI.
  * Add Rules-Requires-Root: no.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 08 Jun 2020 12:37:34 +0100

=== debian/control ===
Source: eclipse-cdt
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), default-jdk,
               maven-debian-helper, libeclipse-osgi-java,
               libequinox-common-java, libeclipse-core-runtime-java,
               libeclipse-core-resources-java, libeclipse-core-filesystem-java,
               libicu4j-java, libeclipse-text-java, libeclipse-core-jobs-java,
               libequinox-preferences-java, libequinox-registry-java,
               libeclipse-core-variables-java, libeclipse-core-contenttype-java,
               libeclipse-ltk-core-refactoring-java, libeclipse-jdt-annotation-java,
               libequinox-app-java, libeclipse-core-expressions-java,
               libeclipse-core-filebuffers-java, libjaxb-api-java,
               libgoogle-gson-java
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/java-team/eclipse-cdt.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-cdt
Homepage: http://www.eclipse.org/cdt/

Package: libeclipse-cdt-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: C/C++ Development Tools for Eclipse (Java libraries)
 The CDT Project provides a fully functional C and C++ Integrated
 Development Environment based on the Eclipse platform. Features include:
 support for project creation and managed build for various toolchains,
 standard make build, source navigation, various source knowledge tools,
 such as type hierarchy, call graph, include browser, macro definition browser,
 code editor with syntax highlighting, folding and hyperlink navigation,
 source code refactoring and code generation, visual debugging tools,
 including memory, registers, and disassembly viewers.
 .
 This package contains only the core and native core Java libraries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_before_dh_auto_configure:
	cp debian/poms/core_org.eclipse.cdt.core.native_pom.xml core/org.eclipse.cdt.core.native/pom.xml
	cp debian/poms/core_org.eclipse.cdt.core_pom.xml core/org.eclipse.cdt.core/pom.xml
	cp debian/poms/util_org.eclipse.cdt.util_pom.xml util/org.eclipse.cdt.util/pom.xml

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d?// \
https://git.eclipse.org/c/cdt/org.eclipse.cdt.git/refs/ \
/c/cdt/org.eclipse.cdt.git/snapshot/CDT_(\d+)_(\d+)_(\d+).tar.gz
